unit candtype;
// new unit with base types.

interface
{$i vwrdefines.inc}

uses graphics,ctypes; // we might later alias some of these.

Type
      TColor                = Graphics.TColor;
      TMethodType           = procedure of object;
      TSingleArray          = array[0..200000000 div sizeof(single)] of Single;
      PSingleArray          = ^TSingleArray;
      TcardinalArray        = array[0..200000000 div sizeof(cardinal)] of cardinal;
      PcardinalArray        = ^TcardinalArray;
      culongarray           = array [0..200000000 div sizeof(culong)] of culong;
      pculongarray          = ^culongarray;
     {$ifdef vstoldstring}
      VSTString = widestring;
     {$else}
      VSTString = unicodestring;
     {$endif}
      XMLChar   = AnsiChar;
      XMLString = AnsiString;   // for the ansistring XML routines.
      PXMLChar  = PAnsiChar;
      FileNameString = string;  // for all path operations.
      // let's use a short but unique name for pchar in measurements.
      // once we've migrated to D2009 fully we can globally replace it with pbyte.
      // we don't use an array since that would go wrong with incrementing.
      {$ifdef ver200}
        BaseUnit = Byte;
        PBByte = PByte;
      {$else}
        Baseunit = AnsiChar;
        PBByte = PChar; // but you'll have to ORD() and CHR() here and there.
      {$endif}



      TInputRange        = 0..15;
      TInputSet          = set of TInputRange;
      TOutputRange       = 0..31;
      TOutputSet         = set of TOutputRange;


      TBeoordelingRecord = record
                              lbl:  byte;
                              cam:  byte;
                              outputset : TOutputSet;
                              outputinv : TOutputSet;
                            end;

implementation

end.
