unit globaldefs;

interface
{$i vwrdefines.inc}
Uses Windows;

Type
  // links driveside, rechts operatorside
  TReden       = (RedOngebruikt,
                  BEA_OP,BEA_DR,BEA_FIXED,
                  FA_OP,FA_DR,FA_CN,FA_EXTRA,
                  BEFA,CFBC,AD,

		  overige1,overige2,overige3,overige4,
		  overige5,overige6,over88ige7,overige8,
                  overige9,overige10,overige11,overige12,
                  Product_OK, Product_NIETOK,Product_AlleBeelden,Product_Snapshot,
                  Product_losbeeld
                  );
  TSubMsg      = (submsgHaalvanlivectrl);

  TSetOfReden = Set of TReden;

const
    redbegin   = succ(RedOngebruikt);
    redeind    = pred(product_ok);
    mmcount = {$ifdef usecam3}3{$else}2{$endif};
    loggedinreden : TSetofReden = [ redbegin..redeind];
    notloggedinreden : TSetofReden = [ redbegin..redeind];

    overigereden: TSetOfReden= [ Product_OK, Product_NIETOK,Product_AlleBeelden,Product_Snapshot,Product_losbeeld ];
    cameranames : array[0..mmcount-1] of string = ('Belt Mes','Contour Mes'{$ifdef usecam3},'UV' {$endif});

    Masterpassword = 'kamelengras';
    appname  = 'Sca Flex Inspector ';
    appversion = '1.00006' {$ifdef noparentattach}+' FORM'{$endif};
    appdatum   = '2010-02-08 ';
    passphrase = 'Adri272348';
    aantalacties=32;
    maxproduct = 32;
    WidthDefault = 25;

var
    aantalperproductOutput : integer = 24;
    aantalperproductInput  : integer = 16;
    aantalperproductIO     : integer = 24;
    cam1invert:boolean=false;
    cam2invert:boolean=false;
    globalcolor : TColorref;
    mmpxx, mmpxy : array[0..mmcount-1] of single;
    restset     : TSetofreden;

Type
      TAlarmEnum = (Alarm_Diskspacelow,Alarm_lichtcam1,Alarm_lichtcam2,Alarm_uCReset,Alarm_uCdoesntrespond,Alarm_Alle1,Alarm_Alle2,Alarm_Enkel1,Alarm_Enkel2);
      TAlarmSet  = SET OF TAlarmEnum;

Const CriticalAlarm :TAlarmSet = [Alarm_lichtcam1,Alarm_lichtcam2];
      NonCricticalAlarm :TAlarmSet = [Alarm_Diskspacelow,Alarm_Alle1,Alarm_Alle2,Alarm_Enkel1,Alarm_Enkel2];
      {$J+}
      RedenNamen : array[low(treden)..high(treden)] of string=
                  ('Geen',
                   'BEA_OP','BEA_DR','BEA_FIXED',
                   'FA_OP','FA_DR','FA_CN','FA_EXTRA',
                   'BEFA','CFBC','AD',
                   'overige1','overige2','overige3','overige4',
                   'overige5','overige6','overige7','overige8',
                   'overige9','overige10','overige11','overige12',

                   'Product_OK,','Product_NIETOK','Product_AlleBeelden','Product_Snapshot',
                   'Product_losbeeld');

implementation


procedure initmmpx;
var i : integer;
begin
 for i:=low(mmpxx) to high(mmpxx) do
   begin
    mmpxx[i]:=1;
    mmpxy[i]:=1;
   end;
end;

initialization
 initmmpx;
end.
